Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452490 - GStreamer-CRITICAL **: gst_caps_get_structure: assertion `GST_IS_CAPS (caps)' failed
Summary: GStreamer-CRITICAL **: gst_caps_get_structure: assertion `GST_IS_CAPS (caps)'...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 12:26 UTC by Harald Hoyer
Modified: 2009-01-07 09:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-07 02:52:50 UTC


Attachments (Terms of Use)

Description Harald Hoyer 2008-06-23 12:26:21 UTC
Trying to join 2 ogg videos with pitivi results in:

(pitivi:15072): GStreamer-CRITICAL **: gst_caps_get_structure: assertion
`GST_IS_CAPS (caps)' failed

Comment 1 Bastien Nocera 2008-09-01 14:35:25 UTC
This could be a pitivi bug, and the error is seriously lacking in details (a backtrace of the critical error would have been helpful).

Reassigning to Pitivi until someone gathers proof this isn't a pitivi bug...

Comment 2 Fedora Update System 2008-10-13 16:33:37 UTC
pitivi-0.11.1.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pitivi-0.11.1.4-1.fc9

Comment 3 Fedora Update System 2008-10-15 20:13:52 UTC
pitivi-0.11.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pitivi-0.11.2-1.fc9

Comment 4 Fedora Update System 2008-10-16 02:05:23 UTC
pitivi-0.11.1.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pitivi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8809

Comment 5 Patrick Ohearn 2008-11-03 18:05:55 UTC
Related to a simmer bug with banshee, see http://bugzilla.gnome.org/show_bug.cgi?id=555631#c20 and http://bugzilla.gnome.org/show_bug.cgi?id=555631#c21. Is actually a gstreamer bug (as first assumed). Should this be re-assigned to gstreamer?

Comment 6 Fedora Update System 2008-11-07 02:52:39 UTC
pitivi-0.11.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-12-04 14:27:19 UTC
pitivi-0.11.2.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pitivi-0.11.2.2-2.fc9

Comment 8 Fedora Update System 2008-12-15 15:04:56 UTC
pitivi-0.11.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pitivi-0.11.3-1.fc9

Comment 9 Fedora Update System 2009-01-07 09:13:41 UTC
pitivi-0.11.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.